=== modified file 'codeigniter/application/models/codeviewer/codeviewer_model.php'
--- codeigniter/application/models/codeviewer/codeviewer_model.php	2013-04-12 15:53:54 +0000
+++ codeigniter/application/models/codeviewer/codeviewer_model.php	2013-04-19 13:23:12 +0000
@@ -7,12 +7,12 @@
 
 	function getCode($cid, $example, $page) {
 
-		$this->db->from('files');
-		$this->db->join("pagesfiles", "pagesfiles.Files_fileName = files.fileName");
-		$this->db->where("pagesfiles.Pages_name", $page);
-		$this->db->where("pagesfiles.Pages_Examples_Name", $example);
-		$this->db->where("pagesfiles.Pages_Examples_Courses_courseID", $cid);
-		$this->db->not_like("pagesfiles.Files_fileName", $cid."/".$example."/".$page."/"."documentation");
+		$this->db->from('Files');
+		$this->db->join("PageFiles", "Pagefiles.fileName = Files.fileName");
+		$this->db->where("PageFiles.pagesName", $page);
+		$this->db->where("PageFiles.exampleName", $example);
+		$this->db->where("PageFiles.courseID", $cid);
+		$this->db->not_like("PageFiles.fileName", $cid."/".$example."/".$page."/"."documentation");
 
 		$query = $this->db->get();
 		$output = "";
@@ -50,12 +50,12 @@
 
 	function getDoc($cid, $example, $page){
 		$this->db->select('dataBlob');
-		$this->db->from('files');
-		$this->db->join("pagesfiles", "pagesfiles.Files_fileName = files.fileName");
-		$this->db->where("pagesfiles.Pages_name", $page);
-		$this->db->where("pagesfiles.Pages_Examples_Name", $example);
-		$this->db->where("pagesfiles.Pages_Examples_Courses_courseID", $cid);
-		$this->db->where("pagesfiles.Files_fileName", $cid."/".$example."/".$page."/"."documentation");
+		$this->db->from('Files');
+		$this->db->join("PageFiles", "PageFiles.fileName = Files.fileName");
+		$this->db->where("PageFiles.pageName", $page);
+		$this->db->where("PageFiles.exampleName", $example);
+		$this->db->where("PageFiles.courseID", $cid);
+		$this->db->where("PageFiles.fileName", $cid."/".$example."/".$page."/"."documentation");
 
 		$query = $this->db->get();
 		$result = $query->result();

=== modified file 'codeigniter/application/views/admin/manage_course.php'
--- codeigniter/application/views/admin/manage_course.php	2013-04-12 15:53:54 +0000
+++ codeigniter/application/views/admin/manage_course.php	2013-04-19 13:23:12 +0000
@@ -46,7 +46,7 @@
 										foreach ($examples as $item):
 									?>
 									<tr>
-										<td><?php echo $item->Name ?></td>
+										<td><?php echo $item->name ?></td>
 										<td><button class="btn btn-primary" onClick="window.location.href='<?php echo base_url();?>admin/manageexample/<?php echo $cid ?>/<?php echo $item->Name ?>'"><i class="icon-cog icon-white"></i> Manage</button></td>
 									</tr>
 									<?php endforeach;?>

=== modified file 'databas.sql'
--- databas.sql	2013-04-19 11:37:52 +0000
+++ databas.sql	2013-04-22 09:13:33 +0000
@@ -268,7 +268,7 @@
 -- -------------------------------------------------
 -- Table `lenasys`.`logAssignedQuizzesAnswers`
 -- -----------------------------------------------------
-CREATE  TABLE IF NOT EXISTS `lenasys`.`logUsersQuizLogins` (
+CREATE  TABLE IF NOT EXISTS `lenasys`.`logAssignedQuizzesAnswers` (
   `id` INT NOT NULL ,
   `userName` VARCHAR(20)  NOT NULL ,
   `userAgent` VARCHAR(200) NOT NULL ,
@@ -288,7 +288,7 @@
 -- -------------------------------------------------
 -- Table `lenasys`.`logBenchmark`
 -- -----------------------------------------------------
-CREATE  TABLE IF NOT EXISTS `lenasys`.`logUsersQuizLogins` (
+CREATE  TABLE IF NOT EXISTS `lenasys`.`logBenchmark` (
   `id` INT NOT NULL ,
   `userName` VARCHAR(20) NOT NULL ,
   `userAgent` VARCHAR(200) NOT NULL ,
@@ -310,13 +310,14 @@
     UNIQUE INDEX `id_UNIQUE` (`id` ASC))
 ENGINE = InnoDB;
 -- -------------------------------------------------
+  insert into `lenasys`.`UserTypeCodes` (`userTypeCode`,`userType`) 
+  VALUES (0,'Teacher'),(1,'Student');
 
 insert into `lenasys`.`Users` (`userName`,`name`,`passwd`,`userType`,`ssn`) 
   VALUES ('sha1','Per Student',sha1('Syp9393'),1,'19900385-2345'),
   ('md5','Per Lrare',md5('Syp9393'),0,'19800385-2325');
   
-  insert into `lenasys`.`UserTypeCodes` (`userTypeCode`,`userType`) 
-  VALUES (0,'Teacher'),(1,'Student');
+
 
 -- -----------------------------------------------------
 -- allow maximum of 5 succesfull quiz-attemps is a good begining for implementation of the loggingtables to add restriction. 

